return {
    "nvim-tree/nvim-tree.lua",
    dependencies = {'nvim-tree/nvim-web-devicons'},
    config = function()
	-- disable netrw at the very start of your init.lua
	vim.g.loaded_netrw = 1
	vim.g.loaded_netrwPlugin = 1

	-- set termguicolors to enable highlight groups
	vim.opt.termguicolors = true

	-- empty setup using defaults
	require("nvim-tree").setup()
	local focus = function()
	    vim.cmd("NvimTreeClose") 
	    vim.cmd("NvimTreeOpen") 
	end
	vim.cmd([[command! NvimTreeFocus lua require("nvim-tree").focus() ]])
	vim.keymap.set("n", "<leader>ee", ":NvimTreeToggle <CR>")
	vim.keymap.set("n", "<leader>ef", ":NvimTreeFocus <CR>")
    end
}
